using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using PhilExampleCrawler.Common.Models;

namespace PhilExample.Interfaces
{
    internal interface ICrawlSessionService
    {
        Task<CrawlSession> RegisterCrawlSessionAsync(int userID, CrawlSession cs);
        Task<bool> UpdateCrawlSessionAsync(int userID, CrawlSession cs);
        Task<bool> DeleteAsync(int crawlSessionID);
        Task<List<Insertion>> GetLatestInsertionAsync(int userID, int? limit);
    }
}
